Overview
GET
/customer/customerscustomerList customers
List customers.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ecosystemIdstring
- externalIdstring?
- emailstring?
- displayNamestring?
- slugstring
- avatarUrlstring
- publicProfileEnabledboolean
- tokenVersioninteger
- preferredMfaMethodstring?
- mfaFailedAttemptsinteger
- mfaLockedUntilstring?
- deletedAtstring?
- createdAtstring
- updatedAtstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"externalId": "string",
"email": "string",
"displayName": "string",
"slug": "string",
"avatarUrl": "string",
"publicProfileEnabled": true,
"tokenVersion": 0,
"preferredMfaMethod": "string",
"mfaFailedAttempts": 0,
"mfaLockedUntil": "string",
"deletedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/customer/customers" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/customer/customers", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();